## org.apache.lucene.queryParser.standard.config
Interface FieldBoostMapAttribute

All Superinterfaces:
  org.apache.lucene.util.Attribute

All Known Implementing Classes:
  FieldBoostMapAttributeImpl

    public interface FieldBoostMapAttribute

extends org.apache.lucene.util.Attribute

This attribute enables the user to define a default boost per field. it's used by `FieldBoostMapFCListener.buildFieldConfig(FieldConfig)`

Method Summary
`java.util.Map<java.lang.CharSequence,java.lang.Float>` `getFieldBoostMap()`
`void` `setFieldBoostMap(java.util.Map<java.lang.CharSequence,java.lang.Float> boosts)`

Method Detail

### setFieldBoostMap

    void setFieldBoostMap(java.util.Map<java.lang.CharSequence,java.lang.Float> boosts)

  Parameters:
    `boosts` - a mapping from field name to its default boost

### getFieldBoostMap

    java.util.Map<java.lang.CharSequence,java.lang.Float> getFieldBoostMap()

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.